@echo off

rem Использование: update.bat $SID $PASSWORD
chcp 65001 1>nul

rem =============================================
set UPDATES_DIRECTORY=%~dp0data
set CREATE_DIR_FILE=data\create_dir.sql
set LOG_FILE=update.log

set NLS_LANG=AMERICAN_AMERICA.AL32UTF8
set ORACLE_SID=%1
rem =============================================

IF EXIST %LOG_FILE% del /F %LOG_FILE%
IF EXIST %CREATE_DIR_FILE% del /F %CREATE_DIR_FILE%

if '%1'=='' goto m1
if '%2'=='' goto m2

echo CREATE OR REPLACE DIRECTORY UPDATES_DIRECTORY as '%UPDATES_DIRECTORY%'; > %CREATE_DIR_FILE%

sqlplus "kfm/%2@%1" @update.sql

echo Результат исполнения в '%LOG_FILE%'
GOTO:EOF

:m1
echo Ошибка исполнения файла. Нужно указывать параметр - SID базы данных >>%LOG_FILE%
echo Результат исполнения в '%LOG_FILE%'
GOTO:EOF

:m2
echo Ошибка исполнения файла. Нужно указывать параметр - пароль для KFM >>%LOG_FILE%
echo Результат исполнения в '%LOG_FILE%'
GOTO:EOF
